Bug 468697 - Severe clock drift on P3 blade with 2.6.9-78.0.1.EL and 2.6.9-78.0.5.EL
Severe clock drift on P3 blade with 2.6.9-78.0.1.EL and 2.6.9-78.0.5.EL
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 10:40 EDT by Ric Anderson
Modified: 2012-06-20 11:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from 2.6.9-67.0.22.EL (7.61 KB, text/plain)
2008-11-04 20:59 EST, Ric Anderson
no flags Details
dmesg output from 2.6.9-78.0.5.EL (7.57 KB, application/octet-stream)
2008-11-04 21:00 EST, Ric Anderson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 3149 None None None Never

  None (edit)
Description Ric Anderson 2008-10-27 10:40:09 EDT
Description of problem:
Cubix P3 blade runs 2.6.9-67.0.22.EL without problems.  All other patches are current.  If kernel 2.6.9-78.0.1.EL or 2.6.9-78.0.5.EL is booted, system clock gains time at random points in the day, resulting in loss of ntp sync.  Typically the clock will gain over 1000 seconds in a 12 hour period with either of the -78 kernels mentioned above.  We had zero problems with 67.0.22.EL before the upgrade and zero problems after altering grub.conf to boot from the 67.0.22.EL kernel after trying the 78.0.1.EL and 78.0.5.EL kernels.
Comment 1 Prarit Bhargava 2008-10-28 08:53:14 EDT
Hi Ric,

Could you attach a sysreport from your system to this BZ?

Thanks,

P.
Comment 2 Ric Anderson 2008-10-28 22:52:01 EDT
Sorry, no. I can tell you this is a Cubix blade with 1GB RAM, Pentium III (Coppermine) 850MHz, with a single 80GB IDE disk.  System boots with
 kernel /vmlinuz-2.6.9-67.0.22.EL ro root=LABEL=/1 ide=nodma rhgb quiet
when running correctly, and with
 kernel /vmlinuz-2.6.9-78.0.5.EL ro root=LABEL=/1 ide=nodma rhgb quiet
or -78.0.1.EL when time gain problems occur.

Ric
Comment 3 Prarit Bhargava 2008-10-29 12:27:54 EDT
Ric, could you boot both 67.0.22 and 78.0.5 *without* the rhgb quiet options and attach the output of dmesg to the BZ?

Thanks,

P.
Comment 4 Ric Anderson 2008-11-04 20:59:06 EST
Created attachment 322517 [details]
dmesg output from 2.6.9-67.0.22.EL

dmesg output from 2.6.9-67.0.22.EL as requested
Comment 5 Ric Anderson 2008-11-04 21:00:11 EST
Created attachment 322518 [details]
dmesg output from 2.6.9-78.0.5.EL

dmesg output from 2.6.9-78.0.5.EL as requested
Comment 6 Ric Anderson 2008-11-04 21:15:28 EST
Tried without the rhgb on the command line - no major difference in dmesg output,
viz:
$ diff -w dmesg_norhgb_2.6.9-67.0.22.EL 2.6.9-67.0.22.EL 
22c22
< Kernel command line: ro root=LABEL=/1 ide=nodma
---
> Kernel command line: ro root=LABEL=/1 ide=nodma rhgb quiet
29c29
< Detected 846.280 MHz processor.
---
> Detected 846.377 MHz processor.
35c35
< Calibrating delay using timer specific routine.. 1694.09 BogoMIPS (lpj=847048)
---
> Calibrating delay using timer specific routine.. 1694.15 BogoMIPS (lpj=847077)
70c70
< audit(1225825877.015:1): initialized
---
> audit(1225824634.011:1): initialized

$ diff -w dmesg_norhgb_2.6.9-78.0.5.EL 2.6.9-78.0.5.EL  
22c22
< Kernel command line: ro root=LABEL=/1 ide=nodma
---
> Kernel command line: ro root=LABEL=/1 ide=nodma rhgb quiet
29c29
< Detected 846.433 MHz processor.
---
> Detected 846.331 MHz processor.
35c35
< Calibrating delay using timer specific routine.. 1694.15 BogoMIPS (lpj=847079)
---
> Calibrating delay using timer specific routine.. 1694.13 BogoMIPS (lpj=847069)
70c70
< audit(1225825432.033:1): initialized
---
> audit(1225824295.822:1): initialized
156a157
> spurious 8259A interrupt: IRQ7.
--
Comment 7 Jiri Pallich 2012-06-20 11:56:55 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.